import { jsx as _jsx } from "react/jsx-runtime";
import { Separator } from "../../../List/MenuList.js";
/**
 * @internal
 */
export const separatorStaticItem = {
    data: _jsx(Separator, {}),
    type: "static",
};
/**
 * @internal
 */
export function isSeparator(item) {
    return item === separatorStaticItem;
}
/**
 * By default just renders the data.
 * @internal
 */
export function DefaultUiListboxStaticItemComponent({ item }) {
    return item.data;
}
